Page MenuHomeFreeBSD

devel/pmdk: update to 1.6.1
ClosedPublic

Authored by scottph on Mar 7 2019, 10:48 PM.

Details

Summary

Sponsored by: Intel Corporation

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

scottph created this revision.Mar 7 2019, 10:48 PM
brooks added a subscriber: brooks.May 21 2019, 11:58 PM

It looks like there's a missing pkg-plist update. When I build under poudriere I get:

Error: Orphaned: man/man3/pmemobj_f_mem_nodrain.3.gz                           
Error: Orphaned: man/man3/pmemobj_f_mem_noflush.3.gz                           
Error: Orphaned: man/man3/pmemobj_f_mem_nontemporal.3.gz                       
Error: Orphaned: man/man3/pmemobj_f_mem_temporal.3.gz                          
Error: Orphaned: man/man3/pmemobj_f_mem_wb.3.gz                                
Error: Orphaned: man/man3/pmemobj_f_mem_wc.3.gz                                
Error: Orphaned: man/man3/pmemobj_f_relaxed.3.gz

You can get the same without poudriere by running make check-plist after make

scottl added a subscriber: scottl.Jun 12 2019, 8:01 PM
scottph updated this revision to Diff 61485.Aug 30 2019, 6:08 PM
scottph retitled this revision from devel/pmdk: update to 1.5.1 to devel/pmdk: update to 1.6.1.
scottph edited the summary of this revision. (Show Details)

Sorry for the long delay here, I was waiting for the pmdk-1.6 release which incorporates some of our fixes upstream, and then went on vacation for the summer.

lwhsu accepted this revision.Sep 14 2019, 7:14 PM
This revision is now accepted and ready to land.Sep 14 2019, 7:14 PM
lwhsu added a comment.Sep 23 2019, 8:27 PM

@scottph: do you want me to commit this? Or you can commit this with Approved by: lwhsu

scottl accepted this revision.Sep 23 2019, 10:51 PM
scottph updated this revision to Diff 63774.Tue, Oct 29, 11:10 PM

This fixes a failure in the test suite. libvmmalloc was using more thread local storage in the inital-exec mode than rtld was reserving space for, causing the library to fail to load. Switching to the local-dynamic model fixes the issue and allows the test suite to pass.

This revision now requires review to proceed.Tue, Oct 29, 11:10 PM
lwhsu accepted this revision.Wed, Oct 30, 2:49 AM
This revision is now accepted and ready to land.Wed, Oct 30, 2:49 AM
This revision was automatically updated to reflect the committed changes.